using System;

internal sealed class Delegate756 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate756 delegate756_1)
	{
		return delegate756_1(object_0);
	}

	public extern Delegate756(object object_0, IntPtr intptr_0);

	static Delegate756()
	{
		Class10.smethod_13(typeof(Delegate756).TypeHandle);
	}

	internal static Delegate756 delegate756_0;
}
